%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt-contrib-nodeunit
Version:    0.4.1
Release:    1%{?dist}
Summary:    Run Nodeunit unit tests with grunt
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-contrib-nodeunit
Source0:    http://registry.npmjs.org/grunt-contrib-nodeunit/-/grunt-contrib-nodeunit-%{version}.tgz
# Source1+2 are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source2:    docs-%{version}.tar.bz2
Source3:    tasks-%{version}.tar.bz2
Source10:   dl-tests.sh

# the tarbal ldoesn't contain the Gruntfile, so grab it from the upstream repo
Source20:   https://raw.githubusercontent.com/gruntjs/grunt-contrib-nodeunit/ffa3fcd09b400532501ed9913bc1816afcd68edd/Gruntfile.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-internal)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(tap)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package
cp -p %{SOURCE20} ./Gruntfile.js
find docs/ -size 0 -delete


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-nodeunit
cp -pr package.json tasks/ \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-nodeunit

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-contrib-nodeunit


%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 0.4.1-1
- Update to upstream 0.4.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-2
- update to upstream release 0.3.3

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-1
- update to upstream release 0.3.2
- take Source0 from GitHub as the NPM tarball is missing several useful files
- add missing BuildRequires

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- initial package

